<?php

namespace App\Filament\Admin\Resources\PerformanceCards\Pages;

use App\Filament\Admin\Resources\PerformanceCards\PerformanceCardResource;
use App\Filament\Admin\Resources\PerformanceCards\Resources\Initiatives\InitiativeResource;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ManageRelatedRecords;
use Filament\Tables\Table;

class ManageInitiatives extends ManageRelatedRecords
{
    protected static string $resource = PerformanceCardResource::class;

    protected static string $relationship = 'initiatives';

    protected static ?string $relatedResource = InitiativeResource::class;

    public function table(Table $table): Table
    {
        return $table
            ->headerActions([
                CreateAction::make(),
            ]);
    }
}
